debmake-doc (1.30-1) unstable; urgency=medium

  * Update pt.po (Closes: #1126700)
  * Lint po files with "make test-po"
  * Update head.txt (URL w/o #)

 -- Osamu Aoki <osamu@debian.org>  Tue, 21 Jul 2026 15:21:03 +0900

debmake-doc (1.29-1) unstable; urgency=medium

  [ Osamu Aoki ]
  * reboot after sbuild configuration
  * Workaround asciidoctor limitation (Closes: #1141777)
  * typo fix
  * Refine Makefile

  [ Dorle Osterode ]
  * Fix typo

 -- Osamu Aoki <osamu@debian.org>  Fri, 10 Jul 2026 23:55:05 +0900

debmake-doc (1.28-1) unstable; urgency=medium

  [ Osamu Aoki ]
  * FHS 3.0
  * Fix typo to make cme as a section
  * apply "cme fix dpkg" to examples
  * Add openPGP setup
  * make po (mod)
  * debmake 5.1.4 examples

  [ Boyuan Yang ]
  * po4a/po/zh-cn.po: Refresh and add some translation

  [ Dorle Osterode ]
  * Use openPGP instead of GPG where appropriate

 -- Osamu Aoki <osamu@debian.org>  Wed, 11 Feb 2026 10:10:41 +0000

debmake-doc (1.27-1) unstable; urgency=medium

  * Correct sbuild and gbp option examples
  * Drop piuparts in Tool usages
  * Mention "cme fix dpkg"
  * Mention schroot vs. unsare for piuparts
  * Use tar with --xz option across document
  * update manpage for debmake 5.1.3
  * pt.po update and "make po"

 -- Osamu Aoki <osamu@debian.org>  Sun, 08 Feb 2026 14:50:35 +0900

debmake-doc (1.26-1) unstable; urgency=medium

  * asciidoc/* updates for dgit
  * update examples with debmake 5.1.2

 -- Osamu Aoki <osamu@debian.org>  Tue, 03 Feb 2026 21:07:13 +0900

debmake-doc (1.25-1) unstable; urgency=medium

  * debian/copyright (mod)
  * Update for debmake 5.1.0
  * examples/* (mod)
  * make po

 -- Osamu Aoki <osamu@debian.org>  Fri, 30 Jan 2026 13:48:22 +0000

debmake-doc (1.24-1) unstable; urgency=medium

  * debmake 5.0.0 adjustment
  * Updated packaging examples using debmake 5.0.0
  * make html to update PO

 -- Osamu Aoki <osamu@debian.org>  Mon, 19 Jan 2026 20:14:37 +0900

debmake-doc (1.23-2) unstable; urgency=medium

  * Stop overwriting debmake-doc-de (Closes: #1124952)

 -- Osamu Aoki <osamu@debian.org>  Fri, 09 Jan 2026 23:14:34 +0900

debmake-doc (1.23-1) unstable; urgency=medium

  * Typo fix: s/gdb/gbp/ (Closes: #1104164)
  * pt.po updated (Closes: #1103583)
  * make po

 -- Osamu Aoki <osamu@debian.org>  Tue, 06 Jan 2026 23:43:39 +0900

debmake-doc (1.22-1) unstable; urgency=medium

  * Fix chroot-persistent setup

 -- Osamu Aoki <osamu@debian.org>  Wed, 05 Feb 2025 21:44:21 +0900

debmake-doc (1.21-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * po4a/add_zh-cn/translator.add: Fully use translated strings
  * po4a/add_zh-tw/translator.add: Use my localized name
  * po4a/po/zh-cn.po: Minor updates
  * fix typo: vgry -> very

  [ Otto Kekäläinen ]
  * Improve README structure and clarity
  * Explain the use of git-buildpackage more extensively
  * Proof-read most of the guide and fix spelling and text flow
  * Update examples to have latest directory structure visible in logs
  * Update POT file so translators can work on it
  * Add section about Debputy
  * Satisfy asciidoctor syntax checks

  [ Osamu Aoki ]
  * Fix typo
  * Update upload process
  * update policy to 4.7.0
  * Add reminder for superscript
  * Fix superscript issue.
  * xetex_param.xsl variants
  * nopdf.tex (mod)
  * Makefile: no epub
  * debian/rules (mod)
  * README.md: touch up
  * Makefile: better error message etc.
  * make groom
  * Erase dsc
  * Update example logs
  * spell check for asciidoc source
  * Update spell.dic
  * Update head.txt to db5 style
  * Enable reproducible build
  * Update build-depends list
  * po validation script
  * Add test-* targets
  * Fix po.zh-cn: s/zh-cmn-Hans/zh-cn/
  * Execute "make po" and update ja.po
  * Update PO/POT
  * po: trivial unfuzzy
  * wrap-and-sort: add section
  * Update examples with debmake 4.5.1
  * Fix pt PDF generation bug
  * Update on Portuguese translation
  * pt.po: Fix markup errors and trivials
  * Update po4a/po/README.md

  [ Andrew Kreimer ]
  * Fix typos

 -- Osamu Aoki <osamu@debian.org>  Wed, 05 Feb 2025 14:21:17 +0900

debmake-doc (1.20-1) unstable; urgency=medium

  * Work-around asciidoctor docbook (missing superscript)

 -- Osamu Aoki <osamu@debian.org>  Tue, 01 Oct 2024 23:38:17 +0900

debmake-doc (1.19-1) unstable; urgency=medium

  * Don't use some xrefs generated by <<...>> in ASCIIDOC.
  * Build with asciidoctor.  Closes: #1001088
  * Address debian/compat issue.  Closes: #1075842
  * Add pt.po after fixing markups. Closes: #1053928
  * Update PO with xref/ulink/quot fixes for all PO.

 -- Osamu Aoki <osamu@debian.org>  Tue, 01 Oct 2024 00:35:13 +0900

debmake-doc (1.18-1) unstable; urgency=medium

  [ Osamu Aoki ]
  * Migrate to use asciidoctor 2
    * Major conversion and reorganization asciidoc/*.txt
    * Refine build
    * Update PO
  * Update for trixie
    * Use debmake 4.5.0
  * Rebuild examples
    * Use pyproject.toml as example

  [ Dorle Osterode ]
  * Minor improvements 12-setup and 22-rules

  [ Otto Kekäläinen ]
  * Salsa CI: 29-debconfig.txt 38-git.txt

 -- Osamu Aoki <osamu@debian.org>  Fri, 27 Sep 2024 13:37:59 +0900

debmake-doc (1.17-9) unstable; urgency=medium

  * touch-up around adduser (Closes: #1052521)

 -- Osamu Aoki <osamu@debian.org>  Fri, 10 Nov 2023 15:02:25 +0900

debmake-doc (1.17-8) unstable; urgency=medium

  * Fix missing )
  * Link to Russ's page
  * Mention "Using Git for Debian Packaging"
  * doc: mention adduser removal from chroot
  * Update PDF build.  Closes: #1024083
  * make po

 -- Osamu Aoki <osamu@debian.org>  Wed, 08 Nov 2023 13:43:09 +0900

debmake-doc (1.17-7) unstable; urgency=medium

  * make po

 -- Osamu Aoki <osamu@debian.org>  Mon, 09 May 2022 23:46:35 +0900

debmake-doc (1.17-6) unstable; urgency=medium

  * Update DE translation.

 -- Osamu Aoki <osamu@debian.org>  Wed, 04 May 2022 08:13:06 +0900

debmake-doc (1.17-5) unstable; urgency=medium

  * Update dquilt.  Closes: Bug#882809, Bug#1010402

 -- Osamu Aoki <osamu@debian.org>  Sun, 27 Feb 2022 22:19:01 +0900

debmake-doc (1.17-4) unstable; urgency=medium

  * Pull DE translation.
  * Bump policy version

 -- Osamu Aoki <osamu@debian.org>  Sun, 21 Nov 2021 15:03:58 +0900

debmake-doc (1.17-3) unstable; urgency=medium

  * Update copyright to 2021
  * Fix typo.  Thanks Daichi Fukui.  Closes: Bug#1000256

 -- Osamu Aoki <osamu@debian.org>  Fri, 27 Aug 2021 14:31:19 +0900

debmake-doc (1.17-2) unstable; urgency=medium

  * Explicitly mention apt-pinning etc.
  * Mention how-can-i-help.
  * epub: Reproducible build

 -- Osamu Aoki <osamu@debian.org>  Fri, 27 Aug 2021 11:04:45 +0900

debmake-doc (1.17-1) unstable; urgency=medium

  * Switch from pbuilder to sbuild
  * More on source-only-upload
  * Remove debian/source/include-binaries
  * Add missing LICENSE
  * Move examples generation under examples/
  * Adjust for new directory names
  * Drop useless faketime
  * Add new examples/Makefile
  * Add examples/README.md
  * Adjust for new examples location
  * Update examples/README.md
  * Conversion to setuptools
  * Regenerate example log
  * Update debian/source/patch-header
  * Add autopkgtest

 -- Osamu Aoki <osamu@debian.org>  Thu, 19 Aug 2021 17:59:15 +0900

debmake-doc (1.16-2) unstable; urgency=medium

  * Reactivate translator credits via po4a addendum mechanism.
  * Translation updates for Chinese and German.

 -- Osamu Aoki <osamu@debian.org>  Sun, 11 Apr 2021 08:27:49 +0900

debmake-doc (1.16-1) unstable; urgency=medium

  [ Holger Wansing ]
  * Updated Debian Policy links.

  [ Osamu Aoki ]
  * Fix basedir.
  * Major source restructuring to use po4a and change main commit branch to
    master and avoid using itstools. Closes: #919058, #948781
  * Make review of the build log easier by adjusting parallel build process.
  * Fix zh-cn and zh-tw POs and made some recovery of old de translation.
    (More restructuring and further recovery need to be done)
  * Mention dgit-maint-merge(7).  Closes: #923667

 -- Osamu Aoki <osamu@debian.org>  Wed, 13 Jan 2021 14:22:36 +0900

debmake-doc (1.15-1) unstable; urgency=medium

  [ Holger Wansing ]
  * Fix dead link to KDE's 'Working with symbols files' doc. Closes: #959154

  [ Osamu Aoki ]
  * Document and use debhelper-compat and Upstream-Contact. Stop
    using debian/compat.  Closes: #915425, #964460
  * Bump COMPAT version semi-automatically with script.
  * Correct "binNMU safe".  Closes: #934909
  * Address "Source-only uploads".
  * Drop most of German translation to avoid build failures for now.
    Closes: #975856

 -- Osamu Aoki <osamu@debian.org>  Sat, 12 Dec 2020 12:58:20 +0900

debmake-doc (1.14-1) unstable; urgency=high

  [ Boyuan Yang ]
  * po: Complete Simplified Chinese (zh_CN) translation.
  * po: More updates to German (de) translation.
  * */debian/copyright: Update source repository location for
    debmake-doc.
  * Fixes several bugs in the document:
    + Fix url of Debian systemd packaging repository.
    + Fix several typos.

  [ Osamu Aoki ]
  * Remove expect use to avoid FTBFS on some build environment.

 -- Osamu Aoki <osamu@debian.org>  Wed, 27 Mar 2019 01:39:56 +0900

debmake-doc (1.13-1) unstable; urgency=high

  * Team upload.
  * More translation updates.
  * Makefile.dbk: Workaround a known regression inside toolchain
    (itstool).
  * Bump policy to 4.3.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 01 Mar 2019 16:50:08 -0500

debmake-doc (1.12-1) unstable; urgency=high

  * Update to match recent dpkg-source behavior.
  * Fix parallel FTBFS by fixing Makefile.  Closes: #910258
  * Bump policy to 4.2.1

 -- Osamu Aoki <osamu@debian.org>  Tue, 20 Nov 2018 23:23:44 +0900

debmake-doc (1.11-1) unstable; urgency=medium

  * Fix debian/control grammar error.  Closes: #903804
  * Update contents in line with the Buster environment such as
    *-debsym, *.build, and *.buildinfo. Closes: #905167
  * Improve README.source and manpage content.
  * Now updating po files leave previous msgid contents.

 -- Osamu Aoki <osamu@debian.org>  Thu, 09 Aug 2018 22:52:24 +0900

debmake-doc (1.10-1) unstable; urgency=medium

  [ Osamu Aoki ]
  * Update debian/changelog documentation.  Closes: #851456
  * Use --allow-downgrades for apt-get as in the BTS: #868279
  * Restore debian-openlogo.png as in the BTS: #871493
  * Add Russian build support.
  * Bump standards version to 4.1.5 and compat to 11.
  * Update VCS to new salsa service in compliance to the Debian
    Policy 5.6.26 (version 4.1.5).
  * Update URLs to the new salsa.debian.org.
  * Address build issues by making Makefile safe for parallel build.
    Closes: #891128
  * Merge English proofing done by Paul Hardy.  Closes: #903805, #904217
  * Update build system to be friendly to the translation.

  [ Boyuan Yang ]
  * Use Priority: optional instead of Priority: extra globally.
  * Use Standards-Version: 4.1.3 globally.
  * Do some proofreading and fix contents in debhelper section.
  * More update for Simplified Chinese translation.

 -- Osamu Aoki <osamu@debian.org>  Sun, 29 Jul 2018 14:22:22 +0900

debmake-doc (1.9-1) unstable; urgency=medium

  * Drop cover image.
  * Update advice to novice.
  * Update and add workflow with debhelper.
  * Add reminder for non-debmake workflow.
  * Mention ssh as TIP.
  * Enable CJ PDF build.  (Needs more translation.)

 -- Osamu Aoki <osamu@debian.org>  Sun, 17 Sep 2017 08:04:25 +0900

debmake-doc (1.8-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * Add initial Simplified Chinese translation.
  * Fix a few typos in asciidoc documents.
  * Workaround quotation mark problem for PDF documents.
  * Use HTTPS in d/copyright.
  * Drop version restriction for asciidoc in d/control.
  * Point dummy d/watch file to anonscm.debian.org website.
  * Update XeTeX font selection descriptions.
  * Refresh translation PO files.
  * Various text fixes.

  [ Osamu Aoki ]
  * Deprecate d/menu files.
  * Update build system.
  * Use https URLs and fix xref.  Closes: #861417
  * Fix typo and update customization contents.  Closes: #873441

 -- Osamu Aoki <osamu@debian.org>  Sun, 17 Sep 2017 01:07:17 +0900

debmake-doc (1.7-2) unstable; urgency=medium

  * Fix Vcs-Git data.

 -- Osamu Aoki <osamu@debian.org>  Sun, 11 Dec 2016 10:32:29 +0900

debmake-doc (1.7-1) unstable; urgency=medium

  * Add "Native Debian source package without extraneous files"
  * Refine text and fix typos.
  * Fix FTBFS due to missing lintian dependency.  Closes: #846734
  * Update example scripts not to cause lintian errors.
  * Add --local option to work with new debuild interaction with
    lintian.

 -- Osamu Aoki <osamu@debian.org>  Fri, 25 Nov 2016 23:32:40 +0900

debmake-doc (1.6-1) unstable; urgency=medium

  * Add "Rebuilding package without extraneous diffs".
  * Move python module description.
  * Refine text and fix typos.

 -- Osamu Aoki <osamu@debian.org>  Wed, 23 Nov 2016 22:17:16 +0900

debmake-doc (1.5-1) unstable; urgency=medium

  * Reorganize "Simple Example" section.
  * Reinforce package customization and VCS related contents.
  * Move some sections.
  * Add some hints for debugging.

 -- Osamu Aoki <osamu@debian.org>  Fri, 18 Nov 2016 23:38:26 +0900

debmake-doc (1.4-1) unstable; urgency=medium

  * Work around "script -q" bug.
  * Reorganize debian/control section.
  * Use gbp.
  * Update debian/control stanzas.
  * Add pointer to debug tools.  Closes: #771333

 -- Osamu Aoki <osamu@debian.org>  Tue, 18 Oct 2016 23:23:19 +0900

debmake-doc (1.3-1) unstable; urgency=medium

  * Add typical multiarch package split scenario examples.
    Closes: #840158
  * Add bash-completion.
  * Stress use of licensecheck.

 -- Osamu Aoki <osamu@debian.org>  Mon, 17 Oct 2016 20:09:16 +0900

debmake-doc (1.2-1) unstable; urgency=medium

  * Mention -dbgsym packages.
  * Fix: Use = instead for dependency.  Closes: #795563

 -- Osamu Aoki <osamu@debian.org>  Sun, 20 Mar 2016 23:10:11 +0900

debmake-doc (1.1-1) unstable; urgency=medium

  * Fix typos. (Including root cause of #793654)
  * Add B-D: python3-gi, gir1.2-gtk-3.0 Closes: #802395
  * Mention DDEB activity for -deb.

 -- Osamu Aoki <osamu@debian.org>  Wed, 28 Oct 2015 23:14:41 +0900

debmake-doc (1.0-1) unstable; urgency=low

  * Initial release. Closes: #786702:

 -- Osamu Aoki <osamu@debian.org>  Mon, 25 May 2015 00:21:14 +0900
